Package org.apache.sysds.resource.enumeration

# Class EnumerationUtils

java.lang.Object
org.apache.sysds.resource.enumeration.EnumerationUtils

public class EnumerationUtils extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`EnumerationUtils.ConfigurationPoint`
Simple data structure to hold cluster configurations
`static class`
`EnumerationUtils.InstanceSearchSpace`
Data structure representing a projected search space for VM instances as node's memory mapped to further maps with the node's numbers of cores for the given memory mapped to a list of unique object of type `CloudInstance` which have this corresponding characteristics (memory and cores).
`static class`
`EnumerationUtils.SolutionPoint`
Data structure to hold all data related to cost estimation

## Constructor Summary

Constructors
Constructor
Description
`EnumerationUtils()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnumerationUtils

public EnumerationUtils()